<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.nantian.cloud.dbcapp.mapper.record.ReportAbarbeitungMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.nantian.cloud.dbcapp.entity.ReportAbarbeitung">
        <id column="id" property="id" />
        <result column="enterprise_code" property="enterpriseCode" />
        <result column="enterprise_name" property="enterpriseName" />
        <result column="check_info" property="checkInfo" />
        <result column="check_result" property="checkResult" />
        <result column="abarbeitung_time" property="abarbeitungTime" />
        <result column="abarbeitung_schedule" property="abarbeitungSchedule" />
        <result column="is_end" property="isEnd" />
        <result column="re_document" property="reDocument" />
        <result column="re_document_code" property="reDocumentCode" />
        <result column="remark" property="remark" />
        <result column="created_by" property="createdBy" />
        <result column="created_time" property="createdTime" />
        <result column="updated_by" property="updatedBy" />
        <result column="updated_time" property="updatedTime" />
        <result column="province" property="province" />
        <result column="re_year" property="reYear" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, enterprise_code, enterprise_name, check_info, check_result, abarbeitung_time, abarbeitung_schedule, is_end, re_document, re_document_code, remark, CREATED_BY, CREATED_TIME, UPDATED_BY, UPDATED_TIME,province
    </sql>


    <select id="selectPageAll" resultMap="BaseResultMap" parameterType="string">
        select enterprise_code, enterprise_name, check_info, check_result, abarbeitung_time, abarbeitung_schedule, is_end, re_document,province
        from report_abarbeitung
        <where>
            <if test="null != enterpriseCode and '' != enterpriseCode">
                enterprise_code = #{enterpriseCode}
            </if>
            <if test="null != abarbeitungSchedule and '' != abarbeitungSchedule">
                abarbeitung_schedule = #{abarbeitungSchedule}
            </if>
        </where>
    </select>



</mapper>
